Bug 197436 - No DPMS on R128 with DFP monitor (includes patch)
No DPMS on R128 with DFP monitor (includes patch)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 09:30 EDT by Ronald Wahl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 17:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DPMS support for DFP on R128 (784 bytes, patch)
2006-07-01 11:35 EDT, Ronald Wahl
no flags Details | Diff

  None (edit)
Description Ronald Wahl 2006-07-01 09:30:46 EDT
Description of problem:

No DPMS on DFP monitor with ATI R128.

Version-Release number of selected component (if applicable):

currently xorg-x11-drv-ati-6.5.7.3-4

How reproducible:

Always.

Steps to Reproduce:
1. xset dpms force off
2.
3.
  
Actual results:

screen blanks, background light remains on; monitor sometimes gives signal error

Expected results:

monitor goes off

Additional info:

Before I used fedora I had my Xfree compiled by myself. To get DPMS working I
need to add the following patch to the driver:

----------------------------------

--- xc/programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c.orig      
2003-07-29 23:45:08.000000000 +0200
+++ xc/programs/Xserver/hw/xfree86/drivers/ati/r128_driver.c    2003-07-29
23:50:00.000000000 +0200
@@ -3651,6 +3651,18 @@
        OUTREGP(R128_CRTC_EXT_CNTL, mask, ~mask);
        break;
     }
+    if(info->isDFP) {
+       switch (PowerManagementMode) {
+       case DPMSModeOn:
+           OUTREG(R128_FP_GEN_CNTL, INREG(R128_FP_GEN_CNTL) | (R128_FP_FPON |
R128_FP_TDMS_EN));
+           break;
+       case DPMSModeStandby:
+       case DPMSModeSuspend:
+       case DPMSModeOff:
+           OUTREG(R128_FP_GEN_CNTL, INREG(R128_FP_GEN_CNTL) & ~(R128_FP_FPON |
R128_FP_TDMS_EN));
+           break;
+       }
+    }
 }
 
 static int r128_set_backlight_enable(ScrnInfoPtr pScrn, int on);

------------------------------

I haven't tried this patch on the current driver version but I guess it will
more or less apply. It would be nice if we could have a r128 driver that
supports DPMS on DFP monitors.

Thanks!
Ronald
Comment 1 Ronald Wahl 2006-07-01 11:35:56 EDT
Created attachment 131839 [details]
DPMS support for DFP on R128

Meanwhile I have tried te patch against xorg-x11-drv-ati-6.5.7.3-4 and it
works.
I add the current patch as file here.
Comment 2 Adam Jackson 2006-09-29 17:54:46 EDT
I've applied this upstream and to our ati driver, thanks!

Note You need to log in before you can comment on or make changes to this bug.